/*
 * $Id: example.h,v 1.1 2001/11/07 23:05:40 joe Exp $
 */

#ifndef _EXAMPLE_H
#define _EXAMPLE_H 1

struct STATES	/* Aircraft states */
{
    double posxi;	/* Inertial X [ft] */
    double posyi;	/* Inertial Y [ft] */
    double poszi;	/* Inertial Z [ft] */
    double vxb; 	/* Vx of body [ft/sec] */
    double vyb; 	/* Vy of body [ft/sec] */
    double vzb; 	/* Vz of body [ft/sec] */
    double phi; 	/* Euler phi [rad] */
    double theta;	/* Euler theta [rad] */
    double psi; 	/* Euler psi [rad] */
    double p;   	/* Body roll rate, p [rad/sec] */
    double q;   	/* Body pitch rate, q [rad/sec] */
    double r;   	/* Body yaw rate, r [rad/sec] */
};

struct CONTROLS	/* Pilot inputs */
{
    double xa;	/* lateral cyclic */
    double xb;	/* longitudinal cyclic */
    double xc;	/* collective */
    double xp;	/* pedals */
};

#endif /* EXAMPLE_H*/
